//
// © 2017-2020 Qualcomm Technologies, Inc. and/or its subsidiaries. All rights reserved.
//

import Foundation

enum DeviceNotificationReason {
    case added
    case removed
    case nameChanged
    case batteryStateChanged
    case wifiStateChanged
    case ethernetStateChanged
    case accessPointStateChanged

    case updateStarted
    case autoUpdateChanged
    case updateAvailable
    case updateStatusChanged
    case updateProgressChanged
    case physicalRebootRequired

}

struct DeviceNotification: PlayerControllerNotification {
    static var name = Notification.Name.DeviceStateDidChangeNotification
    var sender: PlayerControllerProtocol
    var device: IoTDevice
    var reason: DeviceNotificationReason
    var payload: Any?
}

